<?php
namespace Ak\Wp\Model\Entity;

use Ak\Orm\Entity\EntityInterface;
use Ak\Wp\Model\PostInterface;
use Doctrine\ORM\Mapping as ORM;

/**
 * Class PostMeta
 *
 * @package Ak\Wp\Model\Entity
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-model
 *
 * @ORM\Entity()
 * @ORM\Table(name="wp_postmeta", options={"charset": "utf8mb4", "collate": "utf8mb4_general_ci"})
 */
class PostMeta extends AbstractMeta implements EntityInterface
{
    /**
     * @var PostInterface
     *
     * @ORM\ManyToOne(targetEntity="Ak\Wp\Model\Entity\Post", inversedBy="metas")
     * @ORM\JoinColumn(name="post_id", referencedColumnName="ID")
     */
    protected $post;

    /**
     * PostMeta constructor.
     * @param PostInterface $post
     * @param string $key
     */
    public function __construct(PostInterface $post, string $key)
    {
        $this->post = $post;
        $this->key = $key;
    }
}