<?php
namespace Ak\Wp\Model;

/**
 * Meta-podatak.
 *
 * @package Ak\Wp\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-model
 */
interface MetaInterface
{
    /**
     * Vraća ključ ovog meta-podatka.
     *
     * @return string
     */
    public function getKey(): string;

    /**
     * Vraća vrijednost ovog meta-podatka.
     *
     * @return string
     */
    public function getValue(): string;

    /**
     * Postavlja vrijednost ovog meta-podatka.
     *
     * @param string $value
     */
    public function setValue(string $value): void;
}