<?php
namespace Ak\Wp\Model;

use Ak\Orm\Entity\EntityInterface;
use DateTimeImmutable;

/**
 * WordPress post.
 *
 * @package Ak\Wp\Model
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-model
 */
interface PostInterface extends
    EntityInterface,
    MetaAwareInterface
{
    /**
     * Vraća vrijeme kada je ovaj post stvoren.
     *
     * @return DateTimeImmutable
     */
    public function getCreatedAt(): DateTimeImmutable;

    /**
     * Vraća status ovog posta.
     *
     * @return string
     */
    public function getStatus(): string;

    /**
     * Vraća naslov ovog posta.
     *
     * @return string
     */
    public function getTitle(): string;

    /**
     * Postavlja naslov ovog posta.
     *
     * @param string $title
     */
    public function setTitle(string $title): void;

    /**
     * Vraća sadržaj posta.
     *
     * @return string
     */
    public function getContent(): string;

    /**
     * Postavlja sadržaj ovog posta.
     *
     * @param string $content
     */
    public function setContent(string $content): void;
}